<?php

include 'load.php';

if(isset($_GET['drid'])){
	$drid=mysqli_real_escape_string($conn,$_GET['drid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobiledailyrefroute WHERE drid='$drid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='dailyrefroutelist.php';</script>";
}

	if(isset($_POST['update'])){

			$route = $_POST['route'];
			$rdate = $_POST['rdate'];
			$ref = $_POST['ref'];
			$status = $_POST['status'];
			$addby = $_SESSION['emid'];

			if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobiledailyrefroute
			SET route=:route,
			rdate=:rdate,
			ref=:ref,
			status=:status,
			addby=:addby
			WHERE drid=:drid');
			$stmt->bindParam(':route',$route);
			$stmt->bindParam(':rdate',$rdate);
			$stmt->bindParam(':ref',$ref);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':addby',$addby);
			$stmt->bindParam(':drid',$drid);
			
			if($stmt->execute()){
		  
			$successMSG = "Ref Route Successfully Updated ...";
				
			header("refresh:2;dailyrefroutelist.php"); // redirects imtype view ptype after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Ref Route | Payroll | Pos & Invetory System | Dashboard

</title>

<?php
require_once 'headercss.php';
?>

</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Ref Route</h4>
<h6>Update your Ref Route</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-messege-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Route</label>
<select name="route" class="select" id="inputroute">
										<option value="<?php

												$id = $view_result['route']; 

												$query = $DB_con->prepare('SELECT rtid FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['rtid'];

												?>"><?php

												$id = $view_result['route'];  

												$query = $DB_con->prepare('SELECT routename FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['routename'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileroute where status="1" ORDER BY rtid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['rtid']; ?>"><?php echo $row['routename']; ?></option>
												<?php 
												} 
												}
												?>
</select>					 
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Route Date</label>
<input type="date" name="rdate" class="form-control" id="inputrdate" value="<?php echo $view_result['rdate']; ?>" placeholder="Select Date">
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Employee(Ref)</label>
<select name="ref" class="select" id="inputref">
										<option value="<?php

												$id = $view_result['ref']; 

												$query = $DB_con->prepare('SELECT emid FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emid'];

												?>"><?php

												$id = $view_result['ref'];  

												$query = $DB_con->prepare('SELECT emname FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emname'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileemployee where emusertype="6" ORDER BY emid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['emid']; ?>"><?php echo $row['emname']; ?></option>
												<?php 
												} 
												}
												?>
</select>					 
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="dailyrefroutelist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>